Subject: Re: [BUG] [PATCH v5 02/10] mfd: mt6397: extract irq related code from core driver

From: Matthias Brugger <[email-masked]>
Date: Fri, 23 Aug 2019 17:42:05 +0200

On 23/08/2019 17:26, Frank Wunderlich wrote:
> 
> 
> Am 23. August 2019 16:56:13 MESZ schrieb Matthias Brugger <[email-masked]>:
>> are you sure that you provide the correct chip_id here? I saw 0x2023
>> (if I
>> remember correctly), while this switch checks for 0x23, 0x91 and 0x97,
>> so I'm
>> not sure if the problem really lies here. I didn't dig into the code to
>> find out
>> how the chip_id is created.
> 
> The chip-id 0x2023 is reported with 5.3-rc5, next-code says 0x0. So i guess the chipid is read out/calculated the wrong way. If calculation is not changed the read is changed compared to 5.3
> 

I suppose that's because 3/10 has code that should be in 2/10 and for some
reason 3/10 was not pushed for linux-next inclusion. Although it has the same
Acked-for-mfd-by tag.

@Frank, can you test if adding 3/10 to your code base fixes the issue?

Regards,
Matthias

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel